body {
  .edit-preview {
    // right: 0%;
    left: calc(50% - 20px);
  }
}

.course {
  position: relative;
  .edit-preview {
    // right: 0%;
    right: 34px;
  }
}

.page {
  position: relative;
  .edit-preview {
    // right: 0%;
    right: 34px;
  }
}

[contenteditable='true']{
  --ck-spacing-standard: 0em;
  display: block !important;
  overflow: hidden !important;
  padding: 0 var(--ck-spacing-standard);
  > p{
    margin-top: 0px !important;
    margin-bottom: 0px !important;
  }
}

.edit-preview {
  width: 80px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color:@white;
  border: 1px solid #d9d9d9;
  border-radius: 2px;
  z-index: 1000;
  color: @black !important;
  position: absolute;
  top: 10px;
  font-size: 18px !important;
  cursor: pointer;

  &:before{
    font-size: 18px;
  }

  &:after{
    content: "edit";
    width: 28px;
    font-size: 14px;
    margin-left: 6px;
  }

  &:hover{
    background-color: @blue;
    color: @white !important;
    border: 1px solid @blue;
  }

  &.edit-enabled{
    background-color: @blue;
    color: @white !important;
    border: 1px solid @blue;
    &:hover{
      background-color: darken(@blue, 10%);
      color: @white !important;
      border: 1px solid @blue;
    }
  }

}

